<?php

use Phinx\Migration\AbstractMigration;

class InsertSujet extends AbstractMigration
{
    public function up()
    {
        $sujet = array(
            array('sujet_id' => '3','sujet_rang' => '10'),
            array('sujet_id' => '4','sujet_rang' => '20')
        );

        $this
            ->table('sujet')
            ->insert($sujet)
            ->save();

        $sujet_boutique = array(
            array('sujet_boutique_id' => '3','sujet_id' => '3','boutique_id' => '1','sujet_boutique_statut_id' => '1'),
            array('sujet_boutique_id' => '4','sujet_id' => '4','boutique_id' => '1','sujet_boutique_statut_id' => '1')
        );

        $this
            ->table('sujet_boutique')
            ->insert($sujet_boutique)
            ->save();

        $sujet_nom = array(
            array('sujet_nom_id' => '1','sujet_id' => '3','langue_id' => '1','sujet_nom_nom' => 'Commercial','sujet_nom_email' => 'client@dedi-agency.com'),
            array('sujet_nom_id' => '2','sujet_id' => '4','langue_id' => '1','sujet_nom_nom' => 'Technique','sujet_nom_email' => 'client@dedi-agency.com')
        );

        $this
            ->table('sujet_nom')
            ->insert($sujet_nom)
            ->save();
    }

    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('sujet')
            ->truncate();
        $this
            ->table('sujet_boutique')
            ->truncate();
        $this
            ->table('sujet_nom')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
